Cowdidocs

Get my device tokens

Returns all device tokens (active and deleted) for the authenticated user

GET
/v1/devices

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/devices"
{  "tokens": [    {      "token_last6": "****12345",      "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",      "platform": "ANDROID",      "locale": "en-GB",      "status": "ACTIVE",      "created_at": "2019-08-24T14:15:22Z",      "last_seen_at": "2019-08-24T14:15:22Z"    }  ]}
{  "code": "BAD_REQUEST",  "description": "Bad Request"}
{  "code": "UNAUTHORISED",  "description": "Unauthorised"}
{  "code": "WAITING_LIST",  "description": "User is in the waiting list"}
{  "code": "TOO_MANY_REQUESTS",  "description": "Too Many Requests"}
{  "code": "INTERNAL_SERVER_ERROR",  "description": "Internal Server Error"}